Package org.apache.any23.vocab

## Class DOAC

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary
  - - org.apache.any23.vocab.DOAC

-     public class DOAC
      extends Vocabulary

  The Description Of A Career vocabulary.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.eclipse.rdf4j.model.IRI` | `affiliation` |
    `org.eclipse.rdf4j.model.IRI` | `ComputerSkill` |
    `org.eclipse.rdf4j.model.IRI` | `Course` |
    `org.eclipse.rdf4j.model.IRI` | `Degree` |
    `org.eclipse.rdf4j.model.IRI` | `DrivingSkill` |
    `org.eclipse.rdf4j.model.IRI` | `education` |
    `org.eclipse.rdf4j.model.IRI` | `Education` |
    `org.eclipse.rdf4j.model.IRI` | `end_date` |
    `org.eclipse.rdf4j.model.IRI` | `experience` |
    `org.eclipse.rdf4j.model.IRI` | `Experience` |
    `org.eclipse.rdf4j.model.IRI` | `isco88_code` |
    `org.eclipse.rdf4j.model.IRI` | `language` |
    `org.eclipse.rdf4j.model.IRI` | `LanguageLevel` |
    `org.eclipse.rdf4j.model.IRI` | `LanguageSkill` |
    `static String` | `NS` |
    `org.eclipse.rdf4j.model.IRI` | `OrganisationalSkill` |
    `org.eclipse.rdf4j.model.IRI` | `organization` |
    `org.eclipse.rdf4j.model.IRI` | `PrimarySchool` |
    `org.eclipse.rdf4j.model.IRI` | `publication` |
    `org.eclipse.rdf4j.model.IRI` | `Publication` |
    `org.eclipse.rdf4j.model.IRI` | `reads` |
    `org.eclipse.rdf4j.model.IRI` | `reference` |
    `org.eclipse.rdf4j.model.IRI` | `Reference` |
    `org.eclipse.rdf4j.model.IRI` | `reference_type` |
    `org.eclipse.rdf4j.model.IRI` | `referer` |
    `org.eclipse.rdf4j.model.IRI` | `SecondarySchool` |
    `org.eclipse.rdf4j.model.IRI` | `skill` |
    `org.eclipse.rdf4j.model.IRI` | `Skill` |
    `org.eclipse.rdf4j.model.IRI` | `SocialSkill` |
    `org.eclipse.rdf4j.model.IRI` | `speaks` |
    `org.eclipse.rdf4j.model.IRI` | `start_date` |
    `org.eclipse.rdf4j.model.IRI` | `summary` |
    `org.eclipse.rdf4j.model.IRI` | `title` |
    `org.eclipse.rdf4j.model.IRI` | `writes` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DOAC` | `getInstance()` |

    - ### Methods inherited from class org.apache.any23.vocab.Vocabulary

      `createClass, createIRI, createProperty, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final String NS

      See Also:
        Constant Field Values

    - #### summary

          public final org.eclipse.rdf4j.model.IRI summary

    - #### end_date

          public final org.eclipse.rdf4j.model.IRI end_date

    - #### publication

          public final org.eclipse.rdf4j.model.IRI publication

    - #### title

          public final org.eclipse.rdf4j.model.IRI title

    - #### reference

          public final org.eclipse.rdf4j.model.IRI reference

    - #### language

          public final org.eclipse.rdf4j.model.IRI language

    - #### experience

          public final org.eclipse.rdf4j.model.IRI experience

    - #### organization

          public final org.eclipse.rdf4j.model.IRI organization

    - #### affiliation

          public final org.eclipse.rdf4j.model.IRI affiliation

    - #### writes

          public final org.eclipse.rdf4j.model.IRI writes

    - #### start_date

          public final org.eclipse.rdf4j.model.IRI start_date

    - #### education

          public final org.eclipse.rdf4j.model.IRI education

    - #### skill

          public final org.eclipse.rdf4j.model.IRI skill

    - #### referer

          public final org.eclipse.rdf4j.model.IRI referer

    - #### isco88_code

          public final org.eclipse.rdf4j.model.IRI isco88_code

    - #### speaks

          public final org.eclipse.rdf4j.model.IRI speaks

    - #### reads

          public final org.eclipse.rdf4j.model.IRI reads

    - #### reference_type

          public final org.eclipse.rdf4j.model.IRI reference_type

    - #### Publication

          public final org.eclipse.rdf4j.model.IRI Publication

    - #### Education

          public final org.eclipse.rdf4j.model.IRI Education

    - #### OrganisationalSkill

          public final org.eclipse.rdf4j.model.IRI OrganisationalSkill

    - #### PrimarySchool

          public final org.eclipse.rdf4j.model.IRI PrimarySchool

    - #### Reference

          public final org.eclipse.rdf4j.model.IRI Reference

    - #### DrivingSkill

          public final org.eclipse.rdf4j.model.IRI DrivingSkill

    - #### Degree

          public final org.eclipse.rdf4j.model.IRI Degree

    - #### LanguageSkill

          public final org.eclipse.rdf4j.model.IRI LanguageSkill

    - #### Skill

          public final org.eclipse.rdf4j.model.IRI Skill

    - #### SecondarySchool

          public final org.eclipse.rdf4j.model.IRI SecondarySchool

    - #### Course

          public final org.eclipse.rdf4j.model.IRI Course

    - #### Experience

          public final org.eclipse.rdf4j.model.IRI Experience

    - #### SocialSkill

          public final org.eclipse.rdf4j.model.IRI SocialSkill

    - #### ComputerSkill

          public final org.eclipse.rdf4j.model.IRI ComputerSkill

    - #### LanguageLevel

          public final org.eclipse.rdf4j.model.IRI LanguageLevel

  - ### Method Detail

    - #### getInstance

          public static DOAC getInstance()